% Function that creates a vector of string names of files that store
% Consensus Forecast data 
function vStringFileTitle = fCreateNames_CFfiles_newformat(vYears, vStringMonths_firstletterbig, sInputDirectory)

    k = 1;
    
    [~,j] = find(vYears == 2015);
    
    
%      for iYears = 1:length(vYears)
     for iYears = 1:j   % 1989-2015
        
        for jMonths = 1:length(vStringMonths_firstletterbig)
            % Construct the name of the file - concatenate the year and the name of month in small caps
            sFileTitle  = strcat('CF',vStringMonths_firstletterbig{jMonths},num2str(vYears(iYears)),'.xls');
            sPathTitle  = strcat(sInputDirectory, num2str(vYears(iYears)),'\',sFileTitle);
            % Open the file for reading
            fid        = fopen(sPathTitle,'r');
            % fid ==-1 stands for not able to open file
            if fid~=-1
                vStringFileTitle{k} = sFileTitle;
                k = k+1;
                fclose(fid);
            end
           
        end
             
     end
    
      % Adjust for format change in 2016: .xlsx instead of .xls 
      
      for iYears = j+1:length(vYears)   % starting in 2016
        
        for jMonths = 1:length(vStringMonths_firstletterbig)
            % Construct the name of the file - concatenate the year and the name of month in small caps
            sFileTitle  = strcat('CF',vStringMonths_firstletterbig{jMonths},num2str(vYears(iYears)),'.xlsx');
            sPathTitle  = strcat(sInputDirectory, num2str(vYears(iYears)),'\',sFileTitle);
            % Open the file for reading
            fid        = fopen(sPathTitle,'r');
            % fid ==-1 stands for not able to open file
            if fid~=-1
                vStringFileTitle{k} = sFileTitle;
                k = k+1;
                fclose(fid);
            end
           
        end
        
 
     end
      
      