
% Function that creates a structure for each country with forecasts only for that country once the array of structures with one structure for each Excel File is there


function fCreate_CountryStructures(vStringCountries_General, structForecasts, sOutputDirectory)

     for iCountryList = 1:length(vStringCountries_General)

        vStringCountries_General(iCountryList)

        k = 1;

        for iFile = 1:length(structForecasts)

            indexCountry = cellfun(@(x) strcmp(x,vStringCountries_General(iCountryList)), {structForecasts(iFile).Forecast.Country});

            if sum(indexCountry)>0
                structCountry(k) = structForecasts(iFile).Forecast(indexCountry);
                k               = k+1;

            end

        end

        length(structCountry)

        save([sOutputDirectory vStringCountries_General{iCountryList} '.mat'], 'structCountry'); 

        clear structCountry;
        
     end