function [ b, stdb, sig_sq ,resids ] = estimar1( y , constant_flag)
% estimates an AR(1)-process
%   Detailed explanation goes here
    y = y(~isnan(y));
    n = rows(y);
    if nargin == 1
        constant_flag = 1;
    end
    if constant_flag == 0;
        xreg = y(1:n-1);
    elseif constant_flag == 1
        xreg = [ones(n-1,1) y(1:n-1)];
    end
    yreg = y(2:n);

    [b,stdb,sig_sq] = lscov(xreg,yreg);
    
    resids = yreg - xreg * b;

end

