% File to combine the two structures: one created by extracting information from Excel files in the
% old format (1999 - 2004), one created by extracting information from Excel files in the
% new format (2005 - current)

    clear
    clc;
    close all
    
    addpath(genpath([cd '\']));

    bCreate_structCountry = 1;

%%
    sOutputDirectory     = 'CE_Mat_files\';

    vStringCountries_General        = fdefineNamesCountries_newformat;
    
%%  Load the two structures
    load('structForecasts_OldFormat');
    load('structForecasts_NewFormat_raw');
    
%% Combining the two structures
    % This involves combining them
    structForecasts = [structForecasts_OldFormat structForecasts];
    
    save([sOutputDirectory 'structForecasts.mat'], 'structForecasts');
     
%% Create countries structures

    if  bCreate_structCountry

        fCreate_CountryStructures_raw(vStringCountries_General, structForecasts, sOutputDirectory)
        
    end
    
    