clc;
close all
clear all

rho_monthly_vec = (-0.99:0.01:0.99);
n = 500000;
rho_quarterly_vec = NaN(1,numel(rho_monthly_vec));
counter = 0;
for rho = rho_monthly_vec
    counter = counter + 1;
    y = simar1(rho,3*n + 3);
    x = NaN(n,1);
    for i = 1:n
        x(i) = (1/3)*y(3*i+3) + (2/3)*y(3*i+2) + (3/3)*y(3*i+1) + (2/3)*y(3*i+0) + (1/3)*y(3*i-1) + (0/3)*y(3*i-2);
    end
    rho_quarterly_vec(counter) = lscov(x(1:n-1),x(2:n));
    disp('rho monthly');
    disp(rho);
    disp('rho quarterly');
    disp(rho_quarterly_vec(counter));
end

figure
plot(rho_monthly_vec,rho_quarterly_vec);
ylim([-1 1]);