function [matrix_x] = highfrequency_vector_to_years_times_x_matrix(vector_x,freq,start_monthquarter_etc)

number_available_highfreqperiods_1styear  = mod(freq+1-start_monthquarter_etc,freq);
number_available_highfreqperiods_lastyear = mod(numel(vector_x)-number_available_highfreqperiods_1styear,freq);
if number_available_highfreqperiods_lastyear~= 0
    vector_x = [NaN(start_monthquarter_etc-1,1) ; vector_x ; NaN( freq - number_available_highfreqperiods_lastyear ,1) ];
else
    vector_x = [NaN(start_monthquarter_etc-1,1) ; vector_x ];
end

nyears = numel(vector_x)/4;
matrix_x = (reshape(vector_x,freq,nyears))';

end

