function [sqrt_hac_rowvec] = nanstdhac(y)
[~,cc] = size(y);
sqrt_hac_rowvec = NaN(1,cc);
for i = 1:cc
    yreg = y(:,i);
    yreg = yreg(~isnan(yreg));
    xreg = ones(numel(yreg),1);
    
    b = lscov(xreg,yreg);
    u = yreg - xreg*b;

    [hac,~] = nw_new_nossc(u,xreg,0,-1);
    sqrt_hac_rowvec(1,i) = sqrt(hac);
end



